<div class="paper">
    <div class="cards-grid">
        <div *ngFor="let image of images; index as i" style="align-items: center;">
            <div class="card" type="button" (click)="openModal(image.id)">
                <div class="img" [ngStyle]="{'background-image' : 'url('+ image.download_url +')'}"></div>
                <h5>{{image.author}}</h5>
            </div>
        </div>
    </div>
    <div style="display: flex; flex-flow: row; margin: 0 40% 0 40%">
        <button class="btn" (click)="pagination('prev')">Previous</button>
        <div class="pgNo">
            {{showPage}}
        </div>
        <button class="btn" (click)="pagination('next')">Next</button>
    </div>
    <app-modal *ngIf="isModalOpen" (closeModal)="closeModal()" [imgDetails]="imageDetailObj" [isLoaded]="haveGotDetails"></app-modal>
</div>

